| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::LodOutputProviderCompressedMesh Class Reference

`#include <OgreLodOutputProviderCompressedMesh.h>`

Inheritance diagram for Ogre::LodOutputProviderCompressedMesh:
[legend]

## Public Member Functions
| LodOutputProviderCompressedMesh (MeshPtr mesh)
| ~LodOutputProviderCompressedMesh ()
virtual void | bakeLodLevel (LodData *data, int lodIndex)
virtual void | bakeManualLodLevel (LodData *data, String &manualMeshName, int lodIndex)
virtual void | finalize (LodData *data)
virtual void | inject ()
virtual void | prepare (LodData *data)
virtual void | triangleChanged (LodData *data, LodData::Triangle *tri)
virtual void | triangleRemoved (LodData *data, LodData::Triangle *tri)

## Constructor & Destructor Documentation

## ◆ LodOutputProviderCompressedMesh()

Ogre::LodOutputProviderCompressedMesh::LodOutputProviderCompressedMesh | ( | MeshPtr | mesh | ) |

## ◆ ~LodOutputProviderCompressedMesh()

Ogre::LodOutputProviderCompressedMesh::~LodOutputProviderCompressedMesh | ( |  | ) |

## Member Function Documentation

## ◆ prepare()

virtual void Ogre::LodOutputProviderCompressedMesh::prepare | ( | LodData * | data | ) |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ finalize()

virtual void Ogre::LodOutputProviderCompressedMesh::finalize | ( | LodData * | data | ) |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ bakeManualLodLevel()

virtual void Ogre::LodOutputProviderCompressedMesh::bakeManualLodLevel | ( | LodData * | data,
|  | String & | manualMeshName,
|  | int | lodIndex
| ) |  |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ bakeLodLevel()

virtual void Ogre::LodOutputProviderCompressedMesh::bakeLodLevel | ( | LodData * | data,
|  | int | lodIndex
| ) |  |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ inject()

virtual void Ogre::LodOutputProviderCompressedMesh::inject | ( |  | ) |
| virtual

Reimplemented from Ogre::LodOutputProvider.

## ◆ triangleRemoved()

virtual void Ogre::LodOutputProviderCompressedMesh::triangleRemoved | ( | LodData * | data,
|  | LodData::Triangle * | tri
| ) |  |
| virtual

Reimplemented from Ogre::LodOutputProvider.

## ◆ triangleChanged()

virtual void Ogre::LodOutputProviderCompressedMesh::triangleChanged | ( | LodData * | data,
|  | LodData::Triangle * | tri
| ) |  |
| virtual

Reimplemented from Ogre::LodOutputProvider.

The documentation for this class was generated from the following file:

- OgreLodOutputProviderCompressedMesh.h